Module
Contents
Index 🔎︎

# Const Statement

Definierar en strängkonstant.

## Syntax:

    Const Text = Uttryck

## Parametrar:

Text: Ett konstantnamn som följer namngivningskonventionerna för strängvariabler.

En konstant är en variabel vars värde inte kan ändras. Konstanter används ofta för att förbättra läsbarheten i ett program. Konstanter har inte en viss variabeltyp, utan fungerar som platshållare i koden. Du kan bara definiera en konstant en gång, och det går inte att ändra konstantens värde. Så här definierar du en konstant:

CONST ConstName=Uttryck

Uttryckets typ är irrelevant. När programmet startas konverterar LibreOffice Basic programkoden internt så att det definierade uttrycket ersätter varje förekomst av platshållaren.

## Exempel:

    Sub ExampleConst

        Const iVar = 1964

        MsgBox iVar

        Const sVar = "Program", dVar As Double = 1.00

        MsgBox sVar & " " & dVar

    End Sub